/*
 *  AdORB
 *  Copyright (C) 2006 Victor Ananiev
 *
 *  This file is part of IDLBrowser.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#import "IDLDefinition_Private.h"
#import "IDLAttribute.h"
#import "ObjectCell.h"
#import "IDLViewer.h"

@implementation IDLAttribute(Viewer)

- (NSString*) title
{
    return [_type title];
}

- (NSImage*) cellImage
{
	return [NSImage imageNamed:@"attribute13"];
}

- (void) loadCell:cell
{
    [_type loadCell:cell];
    [cell setRepresentedObject:self];
	[cell setImage:[self cellImage]];
}

- (void) fillMatrix:matrix
{
    [_type fillMatrix:matrix];
}

- (NSString*) stringValue
{
    return [NSString stringWithFormat:@"%@attribute %@ %@",
        _isReadOnly? @"readonly ": @"",
        [_type name], _name];
}

- (NSString*) category
{
    return @"- Attributes -";
}

@end
